microsoft-foundry.rest.security.o-auth2-auth
Agent Telephony
Delete an agent telephony binding
DELETE
/agents/{agent_name}/telephony/bindings/{binding_id}
Deletes a telephony binding owned by the voice agent named in the path.
Header parameters
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
VoiceAgents=V1Preview
If-Match
string
required
The entity tag returned by the latest read. The request fails if the resource changed since that read.
Path parameters
agent_name
string
required
The name of the voice agent that owns the binding.
binding_id
string
required
The service-generated binding identifier.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
There is no content to send for this request, but the headers may be useful.
Request
DELETE /agents/{agent_name}/telephony/bindings/{binding_id} HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json